PageRenderTime 3172ms queryFilters 1ms Sphinxql 3006ms GetByIds 139ms meta 0ms repositoryFilters 4ms languageFilters 0ms sourceFilters 1ms

364,113 results for 'php empty repo:masnug/grc276-blog-laravel' (3172 ms)

Source

Language

Repository

v1.php https://github.com/ntws/agilebill.git | PHP | 1,618 lines
16 * @copyright  1997-2008 The PHP Group
17 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
18 * @version    CVS: $Id: v1.php,v 1.74 2008/01/03 20:26:36 cellog Exp $
1049                PEAR_PACKAGEFILE_ERROR_PHP5 =>
1050                    'Error, PHP5 token encountered in %file%, analysis should be in PHP5',
1051                PEAR_PACKAGEFILE_ERROR_FILE_NOTFOUND =>
1157                }
1158                if ($d['type'] == 'php' && !empty($d['name'])) {
1159                    $this->_validateWarning(PEAR_PACKAGEFILE_ERROR_DEPNAME_IGNORED,
1160                        array('index' => $i, 'name' => $d['name']));
1161                } elseif ($d['type'] != 'php' && empty($d['name'])) {
1162                    $this->_validateError(PEAR_PACKAGEFILE_ERROR_NO_DEPNAME,
1164                }
1165                if ($d['type'] == 'php' && empty($d['version'])) {
1166                    $this->_validateError(PEAR_PACKAGEFILE_ERROR_NO_DEPPHPVERSION,
install.php https://github.com/mikmagic/sugarcrm_dev.git | PHP | 587 lines
1<?php
2 if(!defined('sugarEntry'))define('sugarEntry', true);
39if (version_compare(phpversion(),'5.2.0') < 0) {
40	$msg = 'Minimum PHP version required is 5.2.0.  You are using PHP version  '. phpversion();
41    die($msg);
50require_once('include/SugarLogger/LoggerManager.php');
51require_once('sugar_version.php');
52require_once('include/utils.php');
284// Add check here to see if a silent install config file exists; if so then launch silent installer
285elseif ( is_file('config_si.php') && empty($sugar_config['installer_locked'])) {
286    echo <<<EOHTML
326
327$exclude_files = array('register.php','download_modules.php');
328
487        // check to see if installer has been disabled
488        if(is_readable('config.php') && (filesize('config.php') > 0)) {
489            include_once('config.php');
SugarView.php https://github.com/mikmagic/sugarcrm_dev.git | PHP | 1,244 lines
1<?php
2/*********************************************************************************
213            //Also, do not track save actions where there is no bean id
214            if($monitor->visible && empty($this->bean->id)) {
215            $trackerManager->unsetMonitor($monitor);
306        $company_logo_attributes = sugar_cache_retrieve('company_logo_attributes');
307        if(!empty($company_logo_attributes)) {
308            $ss->assign("COMPANY_LOGO_MD5", $company_logo_attributes[0]);
345        $global_control_links = array();
346        require("include/globalControlLinks.php");
347
847    {
848        if (isset($this->bean) && !empty($this->bean->id) && (file_exists('modules/' . $this->module . '/metadata/subpaneldefs.php') || file_exists('custom/modules/' . $this->module . '/metadata/subpaneldefs.php') || file_exists('custom/modules/' . $this->module . '/Ext/Layoutdefs/layoutdefs.ext.php'))) {
849            $GLOBALS['focus'] = $this->bean;
857    {
858        if (!empty($GLOBALS['current_user']) && empty($GLOBALS['modListHeader']))
859            $GLOBALS['modListHeader'] = query_module_access_list($GLOBALS['current_user']);
admin.php https://bitbucket.org/cubeee/wp-fin.git | PHP | 926 lines
165	$key_status_strings = array( 
166	 	'empty'   => __( 'Empty' ), 
167		'valid'   => __( 'Valid' ), 
218						<td>
219							<input id="key" name="key" type="text" size="15" maxlength="12" value="<?php echo esc_attr( get_option('wordpress_api_key') ); ?>" class="regular-text code <?php echo $key_status;?>"><div class="under-input key-status <?php echo $key_status;?>"><?php echo isset( $key_status_strings[ $key_status ] ) ? $key_status_strings[ $key_status ] : '';?></div>
220							<p class="need-key description"><?php printf( __('You must enter a valid Akismet API key here. If you need an API key, you can <a href="%s">create one here</a>'), '#' );?></p>
227							<fieldset><legend class="screen-reader-text"><span><?php _e('Settings');?></span></legend>
228							<label for="akismet_discard_month" title="<?php esc_attr_e( 'Auto-detete old spam' ); ?>"><input name="akismet_discard_month" id="akismet_discard_month" value="true" type="checkbox" <?php echo get_option('akismet_discard_month') == 'true' ? 'checked="checked"':''; ?>> <span><?php _e('Auto-delete spam submitted on posts more than a month old.'); ?></span></label><br>
229							<label for="akismet_show_user_comments_approved" title="<?php esc_attr_e( 'Show approved comments' ); ?>"><input name="akismet_show_user_comments_approved" id="akismet_show_user_comments_approved" value="true" type="checkbox" <?php echo get_option('akismet_show_user_comments_approved') == 'true' ? 'checked="checked"':''; ?>> <span><?php _e('Show the number of comments you\'ve approved beside each comment author.'); ?></span></label>
322	if ( !$api_key ) :?>
323	<div id="akismet-warning" class="updated fade"><p><strong><?php _e('Akismet is almost ready.');?></strong> <?php printf( __( 'You must <a href="%1$s">enter your Akismet API key</a> for it to work.' ), $config_link );?></p></div><?php
324	else :?>
324	else :?>
325	<iframe src="<?php echo esc_url( sprintf( '%s://akismet.com/web/1.0/user-stats.php?blog=%s&api_key=%s', is_ssl()?'https':'http', $blog, $api_key ) ); ?>" width="100%" height="2500px" frameborder="0" id="akismet-stats-frame"></iframe><?php
326	endif;?>
config.inc.php https://github.com/ebusiness-2012/Tribu-des-gones.git | PHP | 139 lines
1<?php
2/*
23*  @version  Release: $Revision: 8937 $
24*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
25*  International Registered Trademark & Property of PrestaShop SA
39
40/* Improve PHP configuration to prevent issues */
41ini_set('upload_max_filesize', '100M');
49/* No settings file? goto installer...*/
50if (!file_exists(dirname(__FILE__).'/settings.inc.php'))
51{
57}
58require_once(dirname(__FILE__).'/settings.inc.php');
59
74{
75	if (substr($_SERVER['SCRIPT_NAME'], -9) == 'index.php' && empty($_SERVER['QUERY_STRING']))
76		$_SERVER['REQUEST_URI'] = dirname($_SERVER['SCRIPT_NAME']).'/';
class.types.php https://bitbucket.org/acipriani/madeinapulia.com | PHP | 539 lines
1<?php
2/**
4 *
5 * $HeadURL: https://www.onthegosystems.com/misc_svn/common/tags/Views-1.6.4-CRED-1.3.2-Types-1.6.4-Acces-1.2.3/toolset-forms/classes/class.types.php $
6 * $LastChangedDate: 2014-09-11 14:31:16 +0000 (Thu, 11 Sep 2014) $
78                    $field['name'] ), // Translated title
79            'description' => !empty( $field['description'] ) ? self::translate( "field {$field['id']} description",
80                    $field['description'] ) : '', // Translated description
99        case 'checkboxes':
100            if ( !empty( $field['data']['options'] ) ) {
101                global $pagenow;
109                    );
110                    if ( $pagenow == 'post-new.php' && !empty( $option['checked'] ) ) {
111                        $_field['options'][$option_key]['checked'] = true;
116        case 'date':
117            $_field['add_time'] = !empty( $field['data']['date_and_time'] ) && $field['data']['date_and_time'] == 'and_time';
118            break;
Validator.php https://github.com/FrediL/yii2.git | PHP | 367 lines
1<?php
2/**
125    /**
126     * @var callable a PHP callable that replaces the default implementation of [[isEmpty()]].
127     * If not set, [[isEmpty()]] will be used to check if a value is empty. The signature
130     */
131    public $isEmpty;
132    /**
132    /**
133     * @var callable a PHP callable whose return value determines whether this validator should be applied.
134     * The signature of the callable should be `function ($model, $attribute)`, where `$model` and `$attribute`
235            $skip = $this->skipOnError && $object->hasErrors($attribute)
236                || $this->skipOnEmpty && $this->isEmpty($object->$attribute);
237            if (!$skip) {
352     * Checks if the given value is empty.
353     * A value is considered empty if it is null, an empty array, or the trimmed result is an empty string.
354     * Note that this method is different from PHP empty(). It will return false when the value is 0.
Validator.php https://github.com/lucianobaraglia/yii2.git | PHP | 367 lines
1<?php
2/**
128    /**
129     * @var callable a PHP callable that replaces the default implementation of [[isEmpty()]].
130     * If not set, [[isEmpty()]] will be used to check if a value is empty. The signature
133     */
134    public $isEmpty;
135    /**
135    /**
136     * @var callable a PHP callable whose return value determines whether this validator should be applied.
137     * The signature of the callable should be `function ($model, $attribute)`, where `$model` and `$attribute`
234            $skip = $this->skipOnError && $model->hasErrors($attribute)
235                || $this->skipOnEmpty && $this->isEmpty($model->$attribute);
236            if (!$skip) {
352     * Checks if the given value is empty.
353     * A value is considered empty if it is null, an empty array, or the trimmed result is an empty string.
354     * Note that this method is different from PHP empty(). It will return false when the value is 0.
class.types.php https://github.com/ngocphuuit/wordpress-tax.git | PHP | 497 lines
1<?php
2/**
4 *
5 * $HeadURL: https://www.onthegosystems.com/misc_svn/common/tags/Views-1.6.1-Types-1.5.7/toolset-forms/classes/class.types.php $
6 * $LastChangedDate: 2014-04-16 10:42:22 +0200 (Wed, 16 Apr 2014) $
78                    $field['name'] ), // Translated title
79            'description' => !empty( $field['description'] ) ? self::translate( "field {$field['id']} description",
80                    $field['description'] ) : '', // Translated description
99        case 'checkboxes':
100            if ( !empty( $field['data']['options'] ) ) {
101                global $pagenow;
109                    );
110                    if ( $pagenow == 'post-new.php' && !empty( $option['checked'] ) ) {
111                        $_field['options'][$option_key]['checked'] = true;
116        case 'date':
117            $_field['add_time'] = !empty( $field['data']['date_and_time'] ) && $field['data']['date_and_time'] == 'and_time';
118            break;
comment_new.php https://bitbucket.org/bontiv/insomnia | PHP | 157 lines
33		plxMsg::Error(L_ERR_ANSWER_UNKNOWN_COMMENT);
34		header('Location: comments.php'.(!empty($_GET['a'])?'?a='.$_GET['a']:''));
35		exit;
40		plxMsg::Error(L_ERR_ANSWER_OFFLINE_COMMENT);
41		header('Location: comments.php'.(!empty($_GET['a'])?'?a='.$_GET['a']:''));
42		exit;
101<?php if(!empty($_GET['a'])) : ?>
102	<p class="back"><a href="comments.php?a=<?php echo $_GET['a']; ?>"><?php echo L_BACK_TO_ARTICLE_COMMENTS ?></a></p>
103<?php else : ?>
118
119<form action="comment_new.php?<?php echo plxUtils::strCheck($get) ?>" method="post" id="form_comment">
120	<fieldset>
139				le <?php echo plxDate::dateIsoToHum($plxAdmin->plxRecord_coms->f('date'), '#day #num_day #month #num_year(4) &agrave; #hour:#minute'); ?>
140				 - <a href="comment.php<?php echo (!empty($_GET['a']))?'?c='.$comId.'&amp;a='.$_GET['a']:'?c='.$comId; ?>" title="<?php echo L_COMMENT_EDIT_TITLE ?>"><?php echo L_COMMENT_EDIT ?></a>
141				 - <a href="javascript:answerCom('content','<?php echo $plxAdmin->plxRecord_coms->f('numero'); ?>','<?php echo plxUtils::strCheck($plxAdmin->plxRecord_coms->f('author')) ?>');" title="<?php echo L_COMMENT_ANSWER_TITLE ?>"><?php echo L_COMMENT_ANSWER ?></a>
PackageManagerDisplay.php https://github.com/item/sugarcrm_dev.git | PHP | 609 lines
1<?php
2/*********************************************************************************
41require_once('include/ytree/Tree.php');
42require_once('include/ytree/Node.php');
43require_once('ModuleInstall/PackageManager/ListViewPackages.php');
74        $error_html = "";
75		if(!empty($mi_errors)){
76			$error_html = "<tr><td><span>";
202        }
203        if($form_action == 'install.php' && (empty($releases) || count($releases['packages']) == 0)){
204        	//return false;
227    	$output = "<div id='login_panel'><div class='hd'><b>".$mod_strings['HDR_LOGIN_PANEL']."</b></div>";
228        $output .= "<div class='bd'><form><table><tr><td>".$mod_strings['LBL_USERNAME']."</td><td><input type='text' name='login_panel_username' id='login_panel_username' value='".$credentials['username']."'></td><td><a href='http://www.sugarcrm.com/crm/index.php?option=com_registration&task=register' target='blank'>".$mod_strings['LNK_NEW_ACCOUNT']."</a></td>";
229
519            $credentials = PackageManager::getCredentials();
520            if(empty($credentials['username']) || empty($credentials['password'])){
521            	//$header_text = "<font color='red'><b>".$mod_strings['ERR_CREDENTIALS_MISSING']."</b></font>";
config.inc.php https://gitlab.com/mtellezgalindo/PrestaShop.git | PHP | 250 lines
1<?php
2/*
26
27require_once(dirname(__FILE__).'/defines.inc.php');
28$start_time = microtime(true);
32
33/* Improve PHP configuration to prevent issues */
34ini_set('default_charset', 'utf-8');
42/* No settings file? goto installer... */
43if (!file_exists(_PS_ROOT_DIR_.'/config/settings.inc.php'))
44{
79	{
80		if (basename($_SERVER['SCRIPT_NAME']) == 'index.php' && empty($_SERVER['QUERY_STRING']))
81			$_SERVER['REQUEST_URI'] = dirname($_SERVER['SCRIPT_NAME']).'/';
135$locale = strtolower(Configuration::get('PS_LOCALE_LANGUAGE')).'_'.strtoupper(Configuration::get('PS_LOCALE_COUNTRY'));
136/* Please do not use LC_ALL here http://www.php.net/manual/fr/function.setlocale.php#25041 */
137setlocale(LC_COLLATE, $locale.'.UTF-8', $locale.'.utf8');
update-core.php https://gitlab.com/geyson/geyson.git | PHP | 1,290 lines
846
847	$php_version    = phpversion();
848	$mysql_version  = $wpdb->db_version();
850	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' )  ); // a dash in the version indicates a Development release
851	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
852	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
860	if ( !$mysql_compat && !$php_compat )
861		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
862	elseif ( !$php_compat )
862	elseif ( !$php_compat )
863		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
864	elseif ( !$mysql_compat )
935	if ( ! is_wp_error( $result ) ) {
936		if ( ! $wp_filesystem->copy( $from . $distro . 'wp-includes/version.php', $to . 'wp-includes/version.php', true /* overwrite */ ) ) {
937			$wp_filesystem->delete( $from, true );
class-wp-automatic-updater.php git://github.com/wordpress/wordpress.git | PHP | 1,016 lines
1<?php
2/**
161		} else {
162			$update = ! empty( $item->autoupdate );
163		}
196
197			$php_compat = version_compare( phpversion(), $item->php_version, '>=' );
198			if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) ) {
203
204			if ( ! $php_compat || ! $mysql_compat ) {
205				return false;
208
209		// If updating a plugin, ensure the minimum PHP version requirements are satisfied.
210		if ( 'plugin' === $type ) {
210		if ( 'plugin' === $type ) {
211			if ( ! empty( $item->requires_php ) && version_compare( phpversion(), $item->requires_php, '<' ) ) {
212				return false;
update-core.php git://github.com/markjaquith/WordPress.git | PHP | 952 lines
60	$form_action   = 'update-core.php?action=do-core-upgrade';
61	$php_version   = phpversion();
62	$mysql_version = $wpdb->db_version();
72		} else {
73			$php_compat = version_compare( $php_version, $update->php_version, '>=' );
74			if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) ) {
109				$message = sprintf(
110					/* translators: 1: URL to WordPress release notes, 2: WordPress version number, 3: Minimum required PHP version number, 4: Current PHP version number. */
111					__( 'You cannot update because <a href="%1$s">WordPress %2$s</a> requires PHP version %3$s or higher. You are running version %4$s.' ),
237				'version'       => $wp_version . '.1.next.minor',
238				'php_version'   => $required_php_version,
239				'mysql_version' => $required_mysql_version,
361
362		$requires_php   = isset( $plugin_data->update->requires_php ) ? $plugin_data->update->requires_php : null;
363		$compatible_php = is_php_version_compatible( $requires_php );
common.php https://exult.svn.sourceforge.net/svnroot/exult | PHP | 422 lines
1<?php
2  if ( defined( "_COMMON_PHP" ) ) return;
33  // handle configs that have register_globals turned off.
34  // we use $PHP_SELF as the test since it should always be there.
35  // We might need to consider not using globals soon.
35  // We might need to consider not using globals soon.
36  if(!isset($PHP_SELF)) {
37     include ("./include/register_globals.php");
147
148  // passed to array_walk in read.php and list.php
149  // **TODO: replace using array_flip
315  // include abstraction layer and check if its defined
316  if(!defined("PHORUM_ADMIN") && (empty($PHORUM["dbtype"]) || !file_exists("./db/$PHORUM[dbtype].php"))){
317    echo "<html><head><title>Phorum Error</title></head><body>Something is wrong.  You need to edit common.php and select a database.</body></html>";
406      while($plugindirname = readdir($dir)) {
407        if($plugindirname[0] != "." && @file_exists("./plugin/$plugindirname/plugin.php") && !empty($PHORUM["plugins"][$plugindirname])){
408          include("./plugin/$plugindirname/plugin.php");
footer.inc.php http://iprn.googlecode.com/svn/trunk/ | PHP | 223 lines
1<?php
2/* vim: set expandtab sw=4 ts=4 sts=4: */
43 * @uses    file_exists()
44 * @version $Id: footer.inc.php 11986 2008-11-24 11:05:40Z nijel $
45 * @package phpMyAdmin
46 */
47if (! defined('PHPMYADMIN')) {
48    exit;
53 */
54require_once './libraries/relation.lib.php';
55
55
56if (! PMA_isValid($_REQUEST['no_history']) && empty($GLOBALS['error_message'])
57 && ! empty($GLOBALS['sql_query'])) {
200// profiling deactivated due to licensing issues
201if (! empty($GLOBALS['cfg']['DBG']['php'])
202 && ! empty($GLOBALS['cfg']['DBG']['profile']['enable'])) {
footer.inc.php git://github.com/jyr/MNPP.git | PHP | 223 lines
1<?php
2/* vim: set expandtab sw=4 ts=4 sts=4: */
44 * @version $Id$
45 * @package phpMyAdmin
46 */
46 */
47if (! defined('PHPMYADMIN')) {
48    exit;
53 */
54require_once './libraries/relation.lib.php';
55
55
56if (! PMA_isValid($_REQUEST['no_history']) && empty($GLOBALS['error_message'])
57 && ! empty($GLOBALS['sql_query'])) {
200// profiling deactivated due to licensing issues
201if (! empty($GLOBALS['cfg']['DBG']['php'])
202 && ! empty($GLOBALS['cfg']['DBG']['profile']['enable'])) {
update-core.php https://git01.codeplex.com/officialwp | PHP | 880 lines
1<?php
2/**
26'wp-admin/import-mt.php',
27'wp-admin/import-rss.php',
28'wp-admin/import-textpattern.php',
644
645	$php_version    = phpversion();
646	$mysql_version  = $wpdb->db_version();
648	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' )  ); // a dash in the version indicates a Development release
649	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
650	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
658	if ( !$mysql_compat && !$php_compat )
659		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
660	elseif ( !$php_compat )
660	elseif ( !$php_compat )
661		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
662	elseif ( !$mysql_compat )
alipay.php https://bitbucket.org/johnroyer/phpwind8.7.git | PHP | 132 lines
1<?php
2require_once('global.php');
3require_once(R_P.'require/posthost.php');
4//* include_once pwCache::getPath(D_P.'data/bbscache/ol_config.php');
5pwCache::getData(D_P.'data/bbscache/ol_config.php');
7S::gp(array('action','out_trade_no','trade_status','buyer_email','notify_id','extra_common_param'));
8$ret_url = $extra_common_param ? getExtra($extra_common_param) : 'userpay.php';
9!empty($_POST) && $_GET = $_POST;
11
12if ($action || empty($ol_alipaykey) || empty($ol_alipaypartnerID)) {
13	$ol_alipaypartnerID = '2088301270630891';
24	}
25	$veryfy_result1 = PostHost("http://pay.phpwind.net/pay/alipay_notify.php", $url, 'POST');
26} else {
41
42if (empty($action)) {
43
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21